import * as React from 'react';
import './ReportDebugIds.scss';
import { ReportDataContext } from './report-data-typings';
declare const defaultDisplayStrings: {
    activityid: string;
    briefcaseid: string;
    contextid: string;
    contextName: string;
    jobDefID: string;
    jobid: string;
    jobRunID: string;
    modelid: string;
    modelName: string;
    organizationName: string;
    userEmail: string;
    idsForTechSupport: string;
};
export declare type debugIdData = {
    reportData?: ReportDataContext;
    contextName?: string;
    jobDefID?: string;
    jobRunID?: string;
    modelName?: string;
    organizationName?: string;
    userEmail?: string;
};
export declare type ReportDebugIdsProps = {
    data?: debugIdData;
    currentTab?: 'files' | 'details';
    className?: string;
    displayStrings?: Partial<typeof defaultDisplayStrings>;
    children?: React.ReactNode;
};
/**
 * Button that opens a menu to display debug ids for creating a service request.
 *
 * `children` can be specified to add more content in the menu.
 */
export declare const ReportDebugIds: (props: ReportDebugIdsProps) => JSX.Element;
export default ReportDebugIds;
